net.sf.statsvn.input

## Class CacheConfiguration

- java.lang.Object
- - net.sf.statsvn.input.CacheConfiguration

-     public class CacheConfiguration
      extends java.lang.Object

  Class for storing all constants required for reading the cache xml file.
  Author:
    Gunter Mussbacher

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `ADDED`
    `protected static java.lang.String` | `BINARY`
    `protected static java.lang.String` | `BINARY_STATUS`
    `protected static java.lang.String` | `CACHE`
    `protected static java.lang.String` | `LATEST_REVISION`
    `protected static java.lang.String` | `NAME`
    `protected static java.lang.String` | `NOT_BINARY`
    `protected static java.lang.String` | `NUMBER`
    `protected static java.lang.String` | `PATH`
    `protected static java.lang.String` | `PROJECT`
    `protected static java.lang.String` | `REMOVED`
    `protected static java.lang.String` | `REVISION`
    `protected static java.lang.String` | `UNKNOWN`
    `static java.lang.String` | `XML_VERSION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheConfiguration()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ADDED

          protected static final java.lang.String ADDED

      See Also:
        Constant Field Values

    - #### BINARY_STATUS

          protected static final java.lang.String BINARY_STATUS

      See Also:
        Constant Field Values

    - #### BINARY

          protected static final java.lang.String BINARY

      See Also:
        Constant Field Values

    - #### CACHE

          protected static final java.lang.String CACHE

      See Also:
        Constant Field Values

    - #### LATEST_REVISION

          protected static final java.lang.String LATEST_REVISION

      See Also:
        Constant Field Values

    - #### NAME

          protected static final java.lang.String NAME

      See Also:
        Constant Field Values

    - #### NOT_BINARY

          protected static final java.lang.String NOT_BINARY

      See Also:
        Constant Field Values

    - #### NUMBER

          protected static final java.lang.String NUMBER

      See Also:
        Constant Field Values

    - #### PATH

          protected static final java.lang.String PATH

      See Also:
        Constant Field Values

    - #### REMOVED

          protected static final java.lang.String REMOVED

      See Also:
        Constant Field Values

    - #### REVISION

          protected static final java.lang.String REVISION

      See Also:
        Constant Field Values

    - #### UNKNOWN

          protected static final java.lang.String UNKNOWN

      See Also:
        Constant Field Values

    - #### PROJECT

          protected static final java.lang.String PROJECT

      See Also:
        Constant Field Values

    - #### XML_VERSION

          public static final java.lang.String XML_VERSION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CacheConfiguration

          public CacheConfiguration()